Package org.optaplanner.core.impl.score.stream.bavet.common

## Class BavetAbstractTuple

- java.lang.Object
- - org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractTuple

- All Implemented Interfaces:
    `BavetTuple`
  Direct Known Subclasses:
    `BavetAbstractBiTuple`, `BavetAbstractTriTuple`, `BavetAbstractUniTuple`

      public abstract class BavetAbstractTuple
      extends Object
      implements BavetTuple

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected List<BavetAbstractTuple>` | `childTupleList` |
    `protected BavetTupleState` | `state` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BavetAbstractTuple()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<BavetAbstractTuple>` | `getChildTupleList()` |
    `abstract BavetAbstractNode` | `getNode()` |
    `int` | `getNodeIndex()` |
    `BavetTupleState` | `getState()` |
    `boolean` | `isActive()` |
    `boolean` | `isDirty()` |
    `void` | `setState​(BavetTupleState state)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.optaplanner.core.impl.score.stream.bavet.common.BavetTuple

      `getFacts, getFactsString`

- - ### Field Detail

    - #### state

          protected BavetTupleState state

    - #### childTupleList

          protected final List<BavetAbstractTuple> childTupleList

  - ### Constructor Detail

    - #### BavetAbstractTuple

          public BavetAbstractTuple()

  - ### Method Detail

    - #### isDirty

          public boolean isDirty()

    - #### isActive

          public boolean isActive()

    - #### getNode

          public abstract BavetAbstractNode getNode()

      Specified by:
        `getNode` in interface `BavetTuple`

    - #### getNodeIndex

          public int getNodeIndex()

    - #### getState

          public BavetTupleState getState()

    - #### setState

          public void setState​(BavetTupleState state)

    - #### getChildTupleList

          public final List<BavetAbstractTuple> getChildTupleList()